Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer
Class LogTableColumn

    java.lang.Object
      org.apache.log4j.lf5.viewer.LogTableColumn

All Implemented Interfaces:
  Serializable

    public class LogTableColumn

extends Object
implements Serializable

LogTableColumn

Author:
  Michael J. Sikorsky, Brad Marlborough
See Also:
  Serialized Form

Field Summary
`protected String` | `_label`
`static LogTableColumn` | `CATEGORY`
`static LogTableColumn` | `DATE`
`static LogTableColumn` | `LEVEL`
`static LogTableColumn` | `LOCATION`
`static LogTableColumn` | `MESSAGE`
`static LogTableColumn` | `MESSAGE_NUM`
`static LogTableColumn` | `NDC`
`static LogTableColumn` | `THREAD`
`static LogTableColumn` | `THROWN`

Constructor Summary
`LogTableColumn(String label)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getLabel()` Return the Label of the LogLevel.
`static LogTableColumn[]` | `getLogTableColumnArray()`
`static List` | `getLogTableColumns()`
`int` | `hashCode()`
`String` | `toString()`
`static LogTableColumn` | `valueOf(String column)` Convert a column label into a LogTableColumn object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DATE

    public static final LogTableColumn DATE

### THREAD

    public static final LogTableColumn THREAD

### MESSAGE_NUM

    public static final LogTableColumn MESSAGE_NUM

### LEVEL

    public static final LogTableColumn LEVEL

### NDC

    public static final LogTableColumn NDC

### CATEGORY

    public static final LogTableColumn CATEGORY

### MESSAGE

    public static final LogTableColumn MESSAGE

### LOCATION

    public static final LogTableColumn LOCATION

### THROWN

    public static final LogTableColumn THROWN

### _label

    protected String _label

Constructor Detail

### LogTableColumn

    public LogTableColumn(String label)

Method Detail

### getLabel

    public String getLabel()

  Return the Label of the LogLevel.

### valueOf

    public static LogTableColumn valueOf(String column)
                                  throws LogTableColumnFormatException

  Convert a column label into a LogTableColumn object.

  Parameters:
    `column` - The label of a level to be converted into a LogTableColumn.
  Returns:
    LogTableColumn The LogTableColumn with a label equal to column.
  Throws:
    `LogTableColumnFormatException` - Is thrown when the column can not be converted into a LogTableColumn.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getLogTableColumns

    public static List getLogTableColumns()

  Returns:
    A `List` of `LogTableColumn/code> objects that map to log4j `Column` objects.`

### getLogTableColumnArray

    public static LogTableColumn[] getLogTableColumnArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.